public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/mako/
Date: Sat, 21 Aug 2021 07:56:52 +0000 (UTC)	[thread overview]
Message-ID: <1629532572.1666967e2f9577004e6f9a654edd7f6aed505725.mgorny@gentoo> (raw)

commit:     1666967e2f9577004e6f9a654edd7f6aed505725
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Aug 21 07:17:09 2021 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Aug 21 07:56:12 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1666967e

dev-python/mako: Bump to 1.1.5

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/mako/Manifest          |  1 +
 dev-python/mako/mako-1.1.5.ebuild | 37 +++++++++++++++++++++++++++++++++++++
 2 files changed, 38 insertions(+)

diff --git a/dev-python/mako/Manifest b/dev-python/mako/Manifest
index 62710803df2..071734bd891 100644
--- a/dev-python/mako/Manifest
+++ b/dev-python/mako/Manifest
@@ -1 +1,2 @@
 DIST Mako-1.1.4.tar.gz 479823 BLAKE2B 048c63c6caf493b9809dbcda8d1d697a7a25c8d22e97f439facae64b26d5b8f5f3002ff65529e9599e6069482fa25d6db95d810175f7f674f5af02cbd3f9f5e3 SHA512 4844c1d6c8d0d474b4ca4e1b31d3557747fc7e30f70a1976163a26b46b1b45c4c96ca6101fbef252b4e3bb4a61635d2a2c6d1c2933fde5b82bb1a1306f31ff84
+DIST Mako-1.1.5.tar.gz 494647 BLAKE2B 5e4f3e111137820997eb39bbaa1af35ac97de101757b66b6efd097e0d35f6d020bfc8b5b98da8c03fc81a907f228526543f5bdaaf161c4f850418cbcaaf81770 SHA512 3eff75f1a94f8e01131ce118df73be1ade79306562ae2ca68079eb2b64ef82c48c09cfd7ed6eda42819bf50c70941cf4115f8918b4d8187f7489717c7d4a423b

diff --git a/dev-python/mako/mako-1.1.5.ebuild b/dev-python/mako/mako-1.1.5.ebuild
new file mode 100644
index 00000000000..4b80892ce7f
--- /dev/null
+++ b/dev-python/mako/mako-1.1.5.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( pypy3 python3_{8..10} )
+inherit distutils-r1 optfeature
+
+MY_P=${P^}
+DESCRIPTION="A Python templating language"
+HOMEPAGE="https://www.makotemplates.org/ https://pypi.org/project/Mako/"
+SRC_URI="mirror://pypi/${MY_P:0:1}/${PN^}/${MY_P}.tar.gz"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos"
+IUSE="doc"
+
+RDEPEND=">=dev-python/markupsafe-0.9.2[${PYTHON_USEDEP}]"
+
+PATCHES=(
+	"${FILESDIR}"/mako-1.1.1-pypy3-test.patch
+)
+
+distutils_enable_tests pytest
+
+python_install_all() {
+	rm -r doc/build || die
+
+	use doc && local HTML_DOCS=( doc/. )
+	distutils-r1_python_install_all
+}
+
+pkg_postinst() {
+	optfeature "caching support" dev-python/beaker
+}


             reply	other threads:[~2021-08-21  7:56 UTC|newest]

Thread overview: 98+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-08-21  7:56 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-06-01  7:22 [gentoo-commits] repo/gentoo:master commit in: dev-python/mako/ Michał Górny
2024-06-01  7:17 Arthur Zamarin
2024-05-15  2:08 Michał Górny
2024-05-14  6:16 Michał Górny
2024-04-27  8:26 Michał Górny
2024-04-27  6:53 Michał Górny
2024-04-11  4:25 Michał Górny
2024-02-14 12:36 Michał Górny
2024-02-14 12:26 Michał Górny
2024-01-30 14:19 Michał Górny
2024-01-23  4:39 Michał Górny
2023-11-29 10:30 Michał Górny
2023-11-29 10:26 Michał Górny
2023-11-09  4:15 Michał Górny
2023-05-28 16:25 Michał Górny
2022-12-25 17:33 Michał Górny
2022-11-17  6:15 Michał Górny
2022-10-24 19:42 Arthur Zamarin
2022-10-24 19:33 Arthur Zamarin
2022-09-23 20:06 Arthur Zamarin
2022-09-08  5:42 Michał Górny
2022-09-07 20:37 Sam James
2022-08-30  5:45 Michał Górny
2022-08-02 19:05 Michał Górny
2022-08-02 17:31 Arthur Zamarin
2022-06-30 17:09 Arthur Zamarin
2022-05-13  9:08 Michał Górny
2022-05-13  9:08 Michał Górny
2022-05-08  7:34 WANG Xuerui
2022-04-15 17:19 Arthur Zamarin
2022-03-15 13:23 Michał Górny
2022-01-01 10:49 Arthur Zamarin
2021-12-18 15:36 Michał Górny
2021-12-18 13:38 Arthur Zamarin
2021-11-17 20:46 Michał Górny
2021-09-25 22:00 Michał Górny
2021-09-25 19:53 Sam James
2021-05-06 11:38 Michał Górny
2021-03-02  8:25 Michał Górny
2021-03-02  1:34 Sam James
2021-01-15  7:35 Michał Górny
2020-09-20  8:35 Michał Górny
2020-07-09 12:20 Michał Górny
2020-05-30  7:12 Michał Górny
2020-05-25 19:48 Michał Górny
2020-05-11 17:33 Michał Górny
2020-05-11  6:23 Mart Raudsepp
2020-05-11  6:23 Mart Raudsepp
2020-05-08  9:36 Sergei Trofimovich
2020-05-06  6:28 Agostino Sarubbo
2020-05-04 16:51 Agostino Sarubbo
2020-05-03 15:05 Agostino Sarubbo
2020-05-03 13:00 Agostino Sarubbo
2020-03-27 21:06 Michał Górny
2020-03-27 21:06 Michał Górny
2020-03-27 21:06 Michał Górny
2020-03-04  5:01 Michał Górny
2020-03-02 11:49 Sergei Trofimovich
2020-03-02  6:41 Michał Górny
2020-02-24 12:53 Agostino Sarubbo
2020-02-24 12:49 Agostino Sarubbo
2020-02-24 11:43 Agostino Sarubbo
2020-02-24 11:31 Agostino Sarubbo
2020-02-24 11:28 Agostino Sarubbo
2020-02-24 10:07 Agostino Sarubbo
2020-02-24 10:04 Agostino Sarubbo
2020-02-24  9:02 Agostino Sarubbo
2020-02-21 18:09 Michał Górny
2020-02-21 18:09 Michał Górny
2019-12-27 19:41 Sebastian Pipping
2019-12-27 19:41 Sebastian Pipping
2019-12-27 19:41 Sebastian Pipping
2019-12-27 16:47 Sebastian Pipping
2019-12-04  6:48 Aaron Bauman
2018-07-14 23:20 Louis Sautier
2018-07-14 23:20 Louis Sautier
2018-06-08  8:10 Mikle Kolyada
2018-05-17 21:18 Sergei Trofimovich
2018-05-14 12:38 Tobias Klausmann
2018-05-03  5:49 Mart Raudsepp
2018-04-21 12:46 Mikle Kolyada
2018-04-16 18:36 Sergei Trofimovich
2018-04-15 18:58 Thomas Deutschmann
2018-04-15 18:24 Sergei Trofimovich
2018-04-15  9:20 Sergei Trofimovich
2018-04-14 16:39 Aaron Bauman
2018-02-18  0:03 Patrice Clement
2018-01-13  6:51 Mike Frysinger
2018-01-05  9:36 Michał Górny
2017-03-16 12:23 Michael Weber
2017-01-23  5:56 Jeroen Roovers
2017-01-15 20:35 Jeroen Roovers
2016-02-05 19:45 Justin Lecher
2015-11-20  1:23 Mike Frysinger
2015-10-28 10:53 Justin Lecher
2015-09-12  7:30 Justin Lecher
2015-09-11  7:53 Justin Lecher

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1629532572.1666967e2f9577004e6f9a654edd7f6aed505725.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox